## PBM enumerations and flags

PBM enumerations and flags

## Functions

gchar * | qmi_pbm_event_registration_flag_build_string_from_mask ()
gchar * | qmi_pbm_phonebook_type_build_string_from_mask ()
const gchar * | qmi_pbm_session_type_get_string ()

## Types and Values

enum | QmiPbmEventRegistrationFlag
enum | QmiPbmPhonebookType
enum | QmiPbmSessionType

## Object Hierarchy

        GEnum
        ╰── QmiPbmSessionType
        GFlags
        ├── QmiPbmEventRegistrationFlag
        ╰── QmiPbmPhonebookType

## Description

This section defines enumerations and flags used in the PBM service interface.

## Functions

### qmi_pbm_event_registration_flag_build_string_from_mask ()

    gchar *
    qmi_pbm_event_registration_flag_build_string_from_mask
                                   (QmiPbmEventRegistrationFlag mask);

Builds a string containing a comma-separated list of nicknames for each QmiPbmEventRegistrationFlag in `mask` .

#### Parameters

mask | bitmask of QmiPbmEventRegistrationFlag values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.6

### qmi_pbm_phonebook_type_build_string_from_mask ()

    gchar *
    qmi_pbm_phonebook_type_build_string_from_mask
                                   (QmiPbmPhonebookType mask);

Builds a string containing a comma-separated list of nicknames for each QmiPbmPhonebookType in `mask` .

#### Parameters

mask | bitmask of QmiPbmPhonebookType values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.6

### qmi_pbm_session_type_get_string ()

    const gchar *
    qmi_pbm_session_type_get_string (QmiPbmSessionType val);

Gets the nickname string for the QmiPbmSessionType specified at `val` .

#### Parameters

val | a QmiPbmSessionType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.6

## Types and Values

### enum QmiPbmEventRegistrationFlag

Flags to use to register to phonebook indications.

#### Members

QMI_PBM_EVENT_REGISTRATION_FLAG_RECORD_UPDATE | Request indications when records are added/edited/deleted. |
QMI_PBM_EVENT_REGISTRATION_FLAG_PHONEBOOK_READY | Request indications when phonebooks are ready. |
QMI_PBM_EVENT_REGISTRATION_FLAG_EMERGENCY_NUMBER_LIST | Request indications when emergency numbers are changed. |
QMI_PBM_EVENT_REGISTRATION_FLAG_HIDDEN_RECORD_STATUS | Request indications when hidden record status is changed. |
QMI_PBM_EVENT_REGISTRATION_FLAG_AAS_UPDATE | Request indications when Additional number Alpha String records are added/edited/deleted. |
QMI_PBM_EVENT_REGISTRATION_FLAG_GAS_UPDATE | Request indications when Grouping information Alpha String records are added/edited/deleted. |

Since: 1.6

### enum QmiPbmPhonebookType

Phonebook type.

#### Members

QMI_PBM_PHONEBOOK_TYPE_ADN | Abbreviated Dialing Number. |
QMI_PBM_PHONEBOOK_TYPE_FDN | Fixed Dialing Number. |
QMI_PBM_PHONEBOOK_TYPE_MSISDN | Mobile Subscriber Integrated Services Digital Network. |
QMI_PBM_PHONEBOOK_TYPE_MBDN | Mail Box Dialing Number. |
QMI_PBM_PHONEBOOK_TYPE_SDN | Service Dialing Number. |
QMI_PBM_PHONEBOOK_TYPE_BDN | Barred Dialing Number. |
QMI_PBM_PHONEBOOK_TYPE_LND | Last Number Dialed. |
QMI_PBM_PHONEBOOK_TYPE_MBN | Mail Box Number. |

Since: 1.6

### enum QmiPbmSessionType

Type of phonebook management session.

#### Members

QMI_PBM_SESSION_TYPE_GW_PRIMARY | Access phonebooks under GSM DF (ICC) or USIM application (UICC). |
QMI_PBM_SESSION_TYPE_1X_PRIMARY | Access phonebooks under CDMA DF (ICC) or CSIM application (UICC). |
QMI_PBM_SESSION_TYPE_GW_SECONDARY | Access phonebooks under GSM DF (ICC) or USIM application (UICC). Dual standby. |
QMI_PBM_SESSION_TYPE_1X_SECONDARY | Access phonebooks under CDMA DF (ICC) or CSIM application (UICC). Dual standby. |
QMI_PBM_SESSION_TYPE_NONPROVISIONING_SLOT_1 | Access phonebooks under a nonprovisioning application in slot 1. |
QMI_PBM_SESSION_TYPE_NONPROVISIONING_SLOT_2 | Access phonebooks under a nonprovisioning application in slot 2. |
QMI_PBM_SESSION_TYPE_GLOBAL_PHONEBOOK_SLOT_1 | Access phonebooks that are not in any application of the card in slot 1. |
QMI_PBM_SESSION_TYPE_GLOBAL_PHONEBOOK_SLOT_2 | Access phonebooks that are not in any application of the card in slot 2. |

Since: 1.6